ladspa-guitarix-0.37.3-56.3.i586.rpm


Advertisement

Description

ladspa-guitarix - Guitarix - ladspa plugins

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Apps all
Package filename ladspa-guitarix-0.37.3-56.3.i586.rpm
Package name ladspa-guitarix
Package version 0.37.3
Package release 56.3
Package architecture i586
Package type rpm
Category Productivity/Multimedia/Sound/Utilities
Homepage http://guitarix.sourceforge.net/
License GPL-2.0-or-later
Maintainer -
Download size 623.75 KB
Installed size 3.39 MB
guitarix is a simple mono amplifier to jack with one input and two
outputs. Designed to get nice trash/metal/rock/guitar sounds.
Available are the controls for bass, treble, gain, balance,
distortion, freeverb, impulse response (pre state), crybaby(wah),
feedback/feedforward-filter and echo. A fixed resonator will use,
when distortion is disabled.
This package contains the  LADSPA plugins (UniqID 4061 - 4068).

Alternatives

Package Version Architecture Repository
ladspa-guitarix-0.37.3-1.1.x86_64.rpm 0.37.3 x86_64 openSUSE Oss
ladspa-guitarix-0.37.3-1.1.i586.rpm 0.37.3 i586 openSUSE Oss
ladspa-guitarix-0.35.3-55.19.x86_64.rpm 0.35.3 x86_64 Multimedia Apps
ladspa-guitarix - - -

Requires

Name Value
libc.so.6(GLIBC_2.17) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libfftw3f.so.3 -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgiomm-2.4.so.1 -
libglib-2.0.so.0 -
libglibmm-2.4.so.1 -
libjack.so.0 -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libm.so.6(GLIBC_2.1) -
libm.so.6(GLIBC_2.27) -
libm.so.6(GLIBC_2.29) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libsigc-2.0.so.0 -
libsndfile.so.1 -
libsndfile.so.1(libsndfile.so.1.0) -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.1) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libstdc++.so.6(GLIBCXX_3.4.20) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -
libzita-convolver.so.4 -

Provides

Name Value
ladspa-guitarix = 0.37.3-56.3
ladspa-guitarix(x86-32) = 0.37.3-56.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ladspa-guitarix-0.37.3-56.3.i586.rpm
Source Package guitarix-0.37.3-56.3.src.rpm

Install Howto

  1. Add the Multimedia Apps repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/apps/openSUSE_Tumbleweed/ multimedia-apps
  2. Install ladspa-guitarix rpm package:
    # zypper install ladspa-guitarix

Files

Path
/usr/lib/ladspa/guitarix.so
/usr/lib/ladspa/guitarix_IR.so
/usr/lib/ladspa/guitarix_amp.so
/usr/lib/ladspa/guitarix_compressor.so
/usr/lib/ladspa/guitarix_crybaby.so
/usr/lib/ladspa/guitarix_distortion.so
/usr/lib/ladspa/guitarix_echo.so
/usr/lib/ladspa/guitarix_freeverb.so
/usr/lib/ladspa/ladspa_guitarix.so
/usr/share/ladspa/
/usr/share/ladspa/rdf/guitarix.rdf
/usr/share/ladspa/rdf/guitarix_amp.rdf

Changelog

2019-03-20 - plater <davejplater@gmail.com>
- Update to 0.37.3 and fix build against boost1_69 with patch:
guitarix-boost69.patch
- Package libgxw and libgxwmm in their own subpackages.
- Upstream changes since 0.36.1 for earlier changes see changelog:
* add support for zita-convolver4.
* implemented "Thick Distortion" plugin by Viacheslav Lotsmanov.
* switch to use libcurl for download online presets.
* point online help to reddit/guitarix.
* add direct output unit for drumsequencer (bypass rack).
* add overdubbing to live looper.
* add direct output support to live looper.
* add midi channel selector, fix bug #64.
* new plug Ampimpulse-stereo.
* fix Live Looper freezes the remote UI.
* fix Tuner stick is not saved in remote UI.
* fix DrumSequencer remote UI.
* fix rc files for older clearlooks engine.
* fix disable online preset download in remote UI.
* fix GxDigitalDelay sync BPM when UI is not shown.
* add new commandline switch (_d, --disable-multi-client)
to allow running guitarix as single client application.
* fix portmap when running as single client.
* again some fixes and additions on the DK_simulator
contributed by Yoann Le BORGNE.
2017-12-23 - davejplater@gmail.com
- Fix Factory build by requiring python2
2017-10-11 - davejplater@gmail.com
- Fix boost-devel bug boo#1062780
2017-04-03 - davejplater@gmail.com
- Update to version 0.35.3 - fixes gcc7 build
- Upstream changes:
* add labels tp some LV2 plugs
* fix fastmeter tickness in LV2 UI's
* supress wrong compiler warnings array-bounds in jcm800pre
* fix typo in gx_mbcompressor.lv2/modgui.ttl
* add Relief to buttons
* big commit of all faust files regenerated, new dsp2cc script
* new version of gx_sceleton.lv2 and make_lv2_bundle.sh
* fix compiler warning in rack.cpp
* fix volume difference between 44.1khz and 96khz reported by
* fix gx_livelooper.lv2 gain controller
* fix jcm800pre on 96khz
* fix bug #35 abs(uint32_t) is nonsensial and ill-formed
* fix bug #36 std::abs used without include relevant header
* fix Glib-GObject-CRITICAL when unref "liststore2"
* use new togle state logic as well for toggle_type::OnOff
* fix oversampling  presence
* make file chooser blook free
* correct phase on oscilloscope
* use 96khz internal for presence unit
* fix gx_vibrochump vibe selector direction
* more vowel mutation checks
* correct version of midknob in libgxw
* add new vibe label for gx_vibrochamp.lv2
* add On/Off switch for the vibe in gx_vibrochump
* fix gx_jcm800pre lv2 plugs for the use in ardour
* more vowel mutations
* more vowel mutation protection
* extend protection for vowel mutation in preset names
* fix vibrochump max depth and redeye.ttl file
* fix GxRedeye Vibro Champ for use with generic UI.
* apply patch set from Valentin Vidic to start presets numbered
by 0
* apply changed_midi.patch from Valentin Vidic (thanks)

See Also

Package Description
libADLMIDI1-1.4.0.1-3.1.i586.rpm A Software MIDI Synthesizer library with OPL3 (YMF262) emulator
libPlaYUVerLib0-0.18.3-1.19.x86_64.rpm C++ library for playuver
libPlaYUVerLib0-0.18.3-1.34.i586.rpm C++ library for playuver
libadlmidi-devel-1.4.0.1-3.1.i586.rpm Header files for libADLMIDI
libags2-2.0.22-45.1.x86_64.rpm GSequencer core libraries
libags2-2.1.69-86.14.i586.rpm GSequencer core libraries
libaudcore5-3.10-10.4.x86_64.rpm Main functionality library of Audacious
libaudcore5-3.10.1-12.10.i586.rpm Main functionality library of Audacious
libaudgui5-3.10-10.4.x86_64.rpm GTK GUI implementation of Audacious
libaudgui5-3.10.1-12.10.i586.rpm GTK GUI implementation of Audacious
libaudqt2-3.10-10.4.x86_64.rpm QT GUI implementation of Audacious
libaudqt2-3.10.1-12.10.i586.rpm QT GUI implementation of Audacious
libaudtag3-3.10-10.4.x86_64.rpm ID3 and APE metadata support for Audacious
libaudtag3-3.10.1-12.10.i586.rpm ID3 and APE metadata support for Audacious
libbml-devel-0.10.2-43.5.x86_64.rpm Development files for libbml
Advertisement
Advertisement